逍遥游

解决64位ubuntu linux下不能使用drcom上网的3种方法(下)

2016年更换客户端,已经支持linux64位。最新版民间客户端见drcoms/jlu-drcom-client

第三种,安装32位运行库

只需要答案的请输入以下命令

1
sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0 libsm6:i386 libxi6:i386 libxrender1:i386 libxrandr2:i386 libxcursor1:i386 libxinerama1:i386 libfreetype6:i386 libfontconfig1:i386 libstdc++6:i386

一条命令解决drcom上网问题
一条命令解决drcom上网问题

以下是解决问题的过程

第一步

下载并解压Linux版本的的drcom客户端,网络中心提供。

下载并解压
下载并解压

第二步

切换到drcom所在文件夹,键入

1
sudo ./DrClient

命令运行程序,我是将文件直接拖进终端的,懒得打字。。。

运行程序
运行程序

第三步

可以看到运行失败,并提示错误信息以及路到nohup.out文件中。晕,我哪知道这文件在哪啊,用

1
find / -name nohup.out

命令遍历所有文件夹查找。

查找nohup.out
查找nohup.out

第四步

终于被我找到了,那就

1
vim nohup.out

打开看一看呗

打开nohup.out
打开nohup.out

打开nohup.out

什么破提示,看不懂。上网搜去,找到原因,不支持32位程序。

第五步

根据提示安装32位支持库。

安装库文件
安装库文件

咦,提示错误,包不存在,不存在。。。

第六步

根据提示可能在其他三个包里,不管那么多,全下了,反正也就二十几兆。

1
sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0

继续运行,又出错了。再次打开文件,提示libSM.so.6库不存在

继续上网搜,找到如下回答(http://askubuntu.com/questions/611933/missing-libsm-so-6-library-qt-creator-installation-error)

第七步

那就安装呗。安装libsm6库。

1
sudo apt-get install libsm6:i386

第八步

哦no,还是不行,这次又多了一个错误,找不到libxi.so.6库。我忍,依葫芦画瓢安装库。

安装libxi6库

1
sudo apt-get install libxi6:i386

又一个错误,继续忍。

第八步

安装libxrender1:i386库。

1
sudo apt-get install libxrender1:i386

运行,我已经无力吐槽了。

第八步,安装libxrandr2库

1
sudo apt-get install libxrandr2:i386

运行,习惯了。

第九步,安装libxcursor库

1
sudo apt-get install libxcursor1:i386

还来?

第十步,安装libxinerama库

1
sudo apt-get install libxinerama1:i386

上个网,我歇会。附上热心网友关于解决包找不到问题的建议

哼哼,我已经预料到了

第十一步,安装libfreetype6库

1
sudo apt-get install libfreetype6:i386

运行,哥,放过我吧,字体配置库也能出错。。。

第十二步,安装libfontconfig1:i386

1
sudo apt-get install libfontconfig1:i386

越来越多错误了,不管了,继续,大不了不用

第十三步,安装libstdc++ 库

1
sudo apt-get install libstdc++:i386

运行,我已抱着继续安装的心态的,果然又报错了。

等等,这是什么,竟然出现窗口了,好开心啊。

输入帐号密码试试?竟然登录成功了!

打开浏览器的那一刹那,长时间的郁闷顿时一扫而空。

备注:在网上找这些问题的时候,看到一个很有用的命令,ldd,该命令用来查看某一可执行文件会用到的各种动态链接库,曾经想试一试,但是发现各种错误,不想折腾了。

附上网上找的一个ldd 结果。

1
2
3
4
5
6
7
8
9
10
$ ldd DrClientLinux
linux-gate.so.1 => not found
libSM.so.6 => not found
libICE.so.6 => not found
libXi.so.6 => not found
libXrender.so.1 => not found
libXrandr.so.2 => not found
libXcursor.so.1 => not found
libXinerama.so.1 => not found
libfreetype.so.6 => not found

可以参考http://bubuko.com/infodetail-911154.html

后面的吐槽

不得不说,仔细看了一下官方的Linux版,我觉得真的是弱爆了,不能隐藏不说,连移动位置都不行,至今版本还是处于ver1 !!!作为一个有强迫症的人,我果断的选择了放弃,用第二种方法,而且还能省内存,何乐而不为呢。

声明:本文大量参考了“一片雪”的日志(http://blog.163.com/shishihoule@126/blog/static/57293547201442683951681/),特此说明。


多说停止服务,disqus引导注册太过分,暂时不上评论系统了。有机会自己造轮子吧。邮箱:input@newnius.com